<div class="modal fade" id="matching-result-{{ matchingResult.getId() }}" tabindex="-1" role="dialog" aria-labelledby="matchingResult{{ matchingResult.getId() }}" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="matchingResult{{ matchingResult.getId() }}">Scoring Ansiedlungsgesuch &raquo;{{ matchingResult.getLookingForPropertyRequest.getTitle() }}&laquo;</h5>
                <button type="button" class="btn-close" data-coreui-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <p class="fs-5">Erfüllte Muss-Kriterien:</p>
                {% set eliminationCriterias = [] %}
                {% if matchingResult.getEliminationCriteria().getInPlace().isSet() and matchingResult.getEliminationCriteria().getInPlace().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Ort']) %}
                {% endif %}
                {% if matchingResult.getEliminationCriteria().getInQuarter().isSet() and matchingResult.getEliminationCriteria().getInQuarter().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Stadt-/Ortsteil']) %}
                {% endif %}
                {% if matchingResult.getEliminationCriteria().getIndustryClassification().isSet() and matchingResult.getEliminationCriteria().getIndustryClassification().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['mögliche Nutzung']) %}
                {% endif %}
                {% if matchingResult.getEliminationCriteria().getCommissionable().isSet() and matchingResult.getEliminationCriteria().getCommissionable().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Provision']) %}
                {% endif %}
                {% if matchingResult.getEliminationCriteria().getPropertyOfferTypes().isSet() and matchingResult.getEliminationCriteria().getPropertyOfferTypes().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Angebotsart']) %}
                {% endif %}
                {% if matchingResult.getEliminationCriteria().getMinimumSpace().isSet() and matchingResult.getEliminationCriteria().getMinimumSpace().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Mindestfläche']) %}
                {% endif %}
                {% if matchingResult.getEliminationCriteria().getMaximumSpace().isSet() and matchingResult.getEliminationCriteria().getMaximumSpace().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Maximalfläche']) %}
                {% endif %}
                {% if matchingResult.getEliminationCriteria().getRoofing().isSet() and matchingResult.getEliminationCriteria().getRoofing().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Überdachung vorhanden']) %}
                {% endif %}
                {% if matchingResult.getEliminationCriteria().getOutdoorSpace().isSet() and matchingResult.getEliminationCriteria().getOutdoorSpace().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Außenverkaufsfläche vorhanden']) %}
                {% endif %}
                {% if matchingResult.getEliminationCriteria().getShopWindow().isSet() and matchingResult.getEliminationCriteria().getShopWindow().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Schaufenster vorhanden']) %}
                {% endif %}
                {% if matchingResult.getEliminationCriteria().getBarrierFreeAccess().isSet() and matchingResult.getEliminationCriteria().getBarrierFreeAccess().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['barrierefreier Zugang vorhanden oder möglich']) %}
                {% endif %}
                <p>
                    {{ eliminationCriterias|join(', ')}}
                </p>
                <hr>
                {% if matchingResult.getPossibleMaxScore() != null and matchingResult.getPossibleMaxScore() != 0 %}
                    {% set scorePercent = matchingResult.getScore() / matchingResult.getPossibleMaxScore() * 100 %}
                {% else %}
                {% set scorePercent = matchingResult.getScore() %}
                {% endif %}
                <p class="fs-5 mb-2">Matching-Score:</p>
                <p class="fs-5 text-secondary"><strong>{{ scorePercent|number_format(0,',','.') }}%</strong><sup>*</sup></p>
                {% if matchingResult.getPossibleMaxScore() != null and matchingResult.getPossibleMaxScore() != 0 %}
                    <div class="mdc-data-table w-100 mb-3">
                        <div class="mdc-data-table__table-container">
                            <table class="mdc-data-table__table" aria-label="ScorePoints">
                                <thead>
                                <tr class="mdc-data-table__header-row">
                                    <th class="mdc-data-table__header-cell" role="columnheader" scope="col">Kriterium</th>
                                    <th class="mdc-data-table__header-cell" role="columnheader" scope="col">max. Punkte</th>
                                    <th class="mdc-data-table__header-cell" role="columnheader" scope="col">erreichte Punkte</th>
                                </tr>
                                </thead>
                                <tbody class="mdc-data-table__content">
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getSpace().isSet() == false %} text-disabled{% endif %}">Gesamtfläche</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getSpace().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getScoreCriteria().getSpace().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getSpace().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getScoreCriteria.getSpace.isEvaluationResult() %}{{ matchingResult.getScoreCriteria().getSpace().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getRetailSpace().isSet() == false %} text-disabled{% endif %}">Verkaufsfläche</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getRetailSpace().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getScoreCriteria().getRetailSpace().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getRetailSpace().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getScoreCriteria.getRetailSpace.isEvaluationResult() %}{{ matchingResult.getScoreCriteria().getRetailSpace().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getSubsidiarySpace().isSet() == false %} text-disabled{% endif %}">Nebenfläche</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getSubsidiarySpace().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getScoreCriteria().getSubsidiarySpace().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getSubsidiarySpace().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getScoreCriteria.getSubsidiarySpace.isEvaluationResult() %}{{ matchingResult.getScoreCriteria().getSubsidiarySpace().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getStorageSpace().isSet() == false %} text-disabled{% endif %}">Lagerfläche</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getStorageSpace().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getScoreCriteria().getStorageSpace().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getStorageSpace().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getScoreCriteria.getStorageSpace.isEvaluationResult() %}{{ matchingResult.getScoreCriteria().getStorageSpace().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getRoomCount().isSet() == false %} text-disabled{% endif %}">Anzahl Räume</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getRoomCount().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getScoreCriteria().getRoomCount().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getRoomCount().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getScoreCriteria.getRoomCount.isEvaluationResult() %}{{ matchingResult.getScoreCriteria().getRoomCount().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getOutdoorSpace().isSet() == false %} text-disabled{% endif %}">Außenfläche</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getOutdoorSpace().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getScoreCriteria().getOutdoorSpace().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getOutdoorSpace().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getScoreCriteria.getOutdoorSpace.isEvaluationResult() %}{{ matchingResult.getScoreCriteria().getOutdoorSpace().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getShopWindowLength().isSet() == false %} text-disabled{% endif %}">Schaufensterbreite</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getShopWindowLength().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getScoreCriteria().getShopWindowLength().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getShopWindowLength().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getScoreCriteria.getShopWindowLength.isEvaluationResult() %}{{ matchingResult.getScoreCriteria().getShopWindowLength().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getShopWidth().isSet() == false %} text-disabled{% endif %}">Ladenbreite</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getShopWidth().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getScoreCriteria().getShopWidth().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getShopWidth().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getScoreCriteria.getShopWidth.isEvaluationResult() %}{{ matchingResult.getScoreCriteria().getShopWidth().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getNumberOfParkingLots().isSet() == false %} text-disabled{% endif %}">Anzahl Parkplätze</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getNumberOfParkingLots().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getScoreCriteria().getNumberOfParkingLots().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getNumberOfParkingLots().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getScoreCriteria.getNumberOfParkingLots.isEvaluationResult() %}{{ matchingResult.getScoreCriteria().getNumberOfParkingLots().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getAvailableFrom().isSet() == false %} text-disabled{% endif %}">Fläche verfügbar ab</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getAvailableFrom().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getScoreCriteria().getAvailableFrom().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getAvailableFrom().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getScoreCriteria.getAvailableFrom.isEvaluationResult() %}{{ matchingResult.getScoreCriteria().getAvailableFrom().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getLocationCategory().isSet() == false %} text-disabled{% endif %}">Lagekategorie</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getLocationCategory().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getScoreCriteria().getLocationCategory().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getLocationCategory().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getScoreCriteria.getLocationCategory.isEvaluationResult() %}{{ matchingResult.getScoreCriteria().getLocationCategory().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getIndustryDensity().isSet() == false %} text-disabled{% endif %}">Gewerbedichte</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getIndustryDensity().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getScoreCriteria().getIndustryDensity().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getScoreCriteria().getIndustryDensity().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getScoreCriteria.getIndustryDensity.isEvaluationResult() %}{{ matchingResult.getScoreCriteria().getIndustryDensity().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell fw-bold text-secondary">Gesamtpunktzahl</td>
                                        <td class="mdc-data-table__cell fw-bold text-secondary">{{ matchingResult.getPossibleMaxScore() }}</td>
                                        <td class="mdc-data-table__cell fw-bold text-secondary">{{ matchingResult.getScore() }}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <p>
                        <small>
                            <sup>*</sup>Der Score errechnet sich aus dem Verhältnis von Punktzahl zu möglicher Gesamtpunktzahl.<br>
                            (Hinweis: Ausgegraute Zeilen fließen nicht in die Bewertung ein, da entweder beim Objekt oder beim Konzept keine Angaben vorliegen.)
                        </small>
                    </p>
                {% endif %}
            </div>
        </div>
    </div>
</div>
